Alladdin

Work in progress

Site en construction

الموقع قيد الإنشاء

Alladdin
GET

Get a funnel

Scope: crm:funnels.read https://api.alladdin.com/api/v2/funnels/{funnelId}

Returns a single funnel by its ID.

Parameters

Path parameters

funnelId string required

Funnel ID

Request

python
import requests

url = "https://api.alladdin.com/api/v2/funnels/{funnelId}"
headers = {
    "Authorization": "Bearer YOUR_API_KEY",
    "Accept": "application/json",
}

response = requests.get(url, headers=headers)
print(response.json())

Responses

Response

json
{
  "id": "507f1f77bcf86cd799439011",
  "name": "string",
  "stages": [
    {
      "id": "507f1f77bcf86cd799439011",
      "name": "string",
      "key": "string",
      "description": "string",
      "deal_probability": 0,
      "rotting_days": 0
    }
  ],
  "labels": [
    {}
  ],
  "created_at": "string",
  "updated_at": "string"
}

Success responses

200 Funnel found application/json object id string required

Unique identifier

name string required

Funnel name

stages[] object[] required

Funnel stages

id string name string key string description string deal_probability integer rotting_days integer labels[] object[] required

Funnel labels

created_at string | null required

Creation date in ISO 8601 format

updated_at string | null required

Last update date in ISO 8601 format

Error responses

401 Invalid or missing API key application/json 403 Insufficient permissions application/json 404 Funnel not found application/json 429 Rate limit exceeded application/json

← PreviousList all funnels →

Next →Delete a funnel →